Forums

LOUCAN.FR :: Forums :: PHP - MySql :: Fonctions PHP
 
<< Previous thread | Next thread >>
Mysql is DEPRECATED
Moderators: Jordane
Author Post
Jordane
Tue Dec 30 2014, 11:50am

Registered Member #1
Joined: Wed Mar 17 2010, 04:14pm
Posts: 74
Vous avez un message d'erreur indiquant que vous avez une instruction Obsolète ?
Vous devez lire ceci :
Fonctionnalités devenues obsolètes en PHP 5.5.x

Pour rentrer un peu plus dans les détails ....
Si vous utilisez l'extension MYSQL ...
mysql_connect
mysql_query
mysql_select_db
etc...


et que vous êtes passé sur une version de PHP/Mysql récente... ce message d'erreur apparaitra......
Vous pouvez lire dans le Manuel PHP l'information suivante :


Avertissement

Cette extension est obsolète depuis PHP 5.5.0, et sera supprimée dans le futur. À la place, les extensions MySQLi ou PDO_MySQL doivent être utilisées. Voir aussi le guide MySQL : choix de l'API ainsi que la FAQ associée pour plus d'information. Voici les alternatives à cette fonction :
mysqli_connect()
PDO::__construct()


bref.. vous devez modifier votre code de connexion à votre BDD (et aussi tout ce qui concerne l'execution de requêtes...) soit par Mysqli soit par PDO (avec une préférence pour la PDO).

Voici quelques TUTOS pour apprendre à utiliser ces "nouvelles" extensions :

Pour la PDO : http://studio.jacksay.com/tutoriaux/php/connection-mysql-avec-pdo

Pour Mysqli : http://openclassrooms.com/courses/maitrisez-mysqli-sans-poo






Cordialement,
Jordane.
www.jr.loucan.fr
Back to top
 

Jump:     Back to top

Syndicate this thread: rss 0.92 Syndicate this thread: rss 2.0 Syndicate this thread: RDF
Powered by e107 Forum System